summaryrefslogtreecommitdiff
path: root/util/buildbot
diff options
context:
space:
mode:
authorsfan5 <sfan5@live.de>2014-12-05 15:54:19 +0100
committersfan5 <sfan5@live.de>2014-12-06 19:56:31 +0100
commit04a1a446cf845a0db80d39fd0e42771aa07e4492 (patch)
treeba7e67cd87e10d427ed99eb7a6019309b9c75825 /util/buildbot
parent5062b99cb0d252d9e377ff4560f7ecc9e66fd558 (diff)
downloadminetest-04a1a446cf845a0db80d39fd0e42771aa07e4492.tar.gz
minetest-04a1a446cf845a0db80d39fd0e42771aa07e4492.tar.bz2
minetest-04a1a446cf845a0db80d39fd0e42771aa07e4492.zip
Build for win32 & win64 on Travis too
Diffstat (limited to 'util/buildbot')
-rwxr-xr-xutil/buildbot/buildwin32.sh10
-rwxr-xr-xutil/buildbot/buildwin64.sh10
2 files changed, 16 insertions, 4 deletions
diff --git a/util/buildbot/buildwin32.sh b/util/buildbot/buildwin32.sh
index 99416bdbd..8711cae42 100755
--- a/util/buildbot/buildwin32.sh
+++ b/util/buildbot/buildwin32.sh
@@ -71,13 +71,19 @@ cd $libdir
# Get minetest
cd $builddir
-[ -d minetest ] && (cd minetest && git pull) || (git clone https://github.com/minetest/minetest)
+if [ -d $EXISTING_MINETEST_DIR ]; then
+ ln -s $EXISTING_MINETEST_DIR minetest
+else
+ [ -d minetest ] && (cd minetest && git pull) || (git clone https://github.com/minetest/minetest)
+fi
cd minetest
git_hash=`git show | head -c14 | tail -c7`
# Get minetest_game
cd games
-[ -d minetest_game ] && (cd minetest_game && git pull) || (git clone https://github.com/minetest/minetest_game)
+if [ "x$NO_MINETEST_GAME" = "x" ]; then
+ [ -d minetest_game ] && (cd minetest_game && git pull) || (git clone https://github.com/minetest/minetest_game)
+fi
cd ../..
# Build the thing
diff --git a/util/buildbot/buildwin64.sh b/util/buildbot/buildwin64.sh
index 2380c6351..678d9e952 100755
--- a/util/buildbot/buildwin64.sh
+++ b/util/buildbot/buildwin64.sh
@@ -66,13 +66,19 @@ cd $libdir
# Get minetest
cd $builddir
-[ -d minetest ] && (cd minetest && git pull) || (git clone https://github.com/minetest/minetest)
+if [ -d $EXISTING_MINETEST_DIR ]; then
+ ln -s $EXISTING_MINETEST_DIR minetest
+else
+ [ -d minetest ] && (cd minetest && git pull) || (git clone https://github.com/minetest/minetest)
+fi
cd minetest
git_hash=`git show | head -c14 | tail -c7`
# Get minetest_game
cd games
-[ -d minetest_game ] && (cd minetest_game && git pull) || (git clone https://github.com/minetest/minetest_game)
+if [ "x$NO_MINETEST_GAME" = "x" ]; then
+ [ -d minetest_game ] && (cd minetest_game && git pull) || (git clone https://github.com/minetest/minetest_game)
+fi
cd ../..
# Build the thing